#!/usr/bin/env bash
# Copyright Huawei Technologies Co., Ltd. 2020-2021. All rights reserved.

target_dir=$1
patch_file=$2

# 为了避免CMakeLists.txt发生变化后重复执行patch失败，这里先执行一次--dry-run测试是否能够patch成功，如果应用过patch了，则直接返回
if patch -N --dry-run -d "${target_dir}" -p0 < "${patch_file}" > /dev/null ;
then
  patch -N  -d "${target_dir}" -p0 < "${patch_file}"
fi